//
//  GBAsyncImageInfoLoader.h
//  GBBasicsKit
//
//  Created by Andreas Schwarz on 9/8/09.
//  Copyright 2009 Immaterial Goods. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AASFilesystemTools/AASFilesystemTools.h>

@class GBAsyncImageInfoLoader;
@class GBImageInfoLoaderOperation;
@class GBFileItem;

// Delegate must implement this method
@interface NSObject (GBAsyncImageInfoLoaderDelegate)
- (void)asynchronousImageInfoLoader:(GBAsyncImageInfoLoader *)loader loadedInfo:(NSMutableDictionary *)info forFileItem:(GBFileItem *)file nextInQueue:(GBFileItem *)nextFile;
@end


@interface GBAsyncImageInfoLoader : NSObject <AASQueuedObjectOperationDelegateProtocol> {	
	GBImageInfoLoaderOperation *loadOperation;
	
	id delegate;
}

- (NSUInteger)countLeft;

- (void)addFilesToQueue:(NSArray *)files;
- (void)removeFilesFromQueue:(NSArray *)files;

- (void)clearQueue;
- (void)cancel;


@property(assign) id delegate;

@end
