/*
 *  GBTypes.h
 *  GBBasicsKit
 *
 *  Created by Andreas Schwarz on 3/3/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */


/* Various useful types */



typedef enum {
    GBOpenAtPercentage,
    GBOpenToFit,
    GBOpenToFitIfLarger
} GBOpenOptions;

typedef enum {
    GBOpenInCreator,
    GBOpenInDefaultApp,
    GBOpenInOther
} GBOpenImageInOptions;

typedef enum {
    GBTopLeft,
    GBTopCenter,
    GBTopRight,
    GBBottomLeft,
    GBBottomCenter,
    GBBottomRight
} GBPositions;

typedef enum {
    GB200Percent = 200,
    GB175Percent = 175,
    GB150Percent = 150,
    GB125Percent = 125,
    GB100Percent = 100,
    GB75Percent = 75,
    GB50Percent = 50,
    GB25Percent = 25
} GBOpenSizeOptions;

typedef enum {
    GBPreviewCellBGColorWell,
    GBPreviewCellTextColorWell,
    GBPreviewPaneBGColorWell,
    GBFileListBGColorWell
} GBColorWells;

typedef enum {
    GBUnknownOrientation,
    GBPortraitOrientation,
    GBSquareOrientation,
    GBLandscapeOrientation
} GBGeneralOrientationType;


typedef enum {
    GBSortByName = 0,
    GBSortByFileSize = 1,
    GBSortByKind = 3,
    GBSortByMegapixels = 4,
    GBSortByColorModel = 5,
    GBSortByModDate = 6,
    GBSortRandomly = 7,
	GBSortByICC = 8,
	GBSortByCreationDate = 9,
	GBSortFoldersFirst = 10,
	GBSortFoldersLast = 11,
	GBSortFoldersInline = 12,
	GBSortByLabel = 13,
	GBSortByImageHeight = 14,
	GBSortByImageWidth = 15,
	GBSortByEXIFDateTaken = 16,
	GBSortByGeneralOrientation = 17,
	GBSortByExposureTime = 18,
	GBSortByFNumber = 19,
	GBSortByISO = 20,
	GBSortByFocalLength = 21,
	GBSortByCameraModel = 22
} GBSortTypes;


typedef enum {
    GBMainScreen,
    GBDeepestScreen,
    GBAlternateScreen,
    GBNonDocScreen
} GBScreenOptions;


typedef enum {
    GBNoFilter = 0,
    GBAllFilesFilter = 1,
    GBAllVisibleFilesFilter = 4,
    GBNoFoldersFilter = 8,
    GBOnlyFoldersFilter = 12,
    GBOnlyImagesFilter = 16,
    GBAllSupportedTypesFilter = 20
} GBFileFilterTypes;


typedef enum {
    GBSharpenExtraHigh,
    GBSharpenHigh,
    GBSharpenMedium,
    GBSharpenLow,
    GBSharpenNone,
    GBSharpenExtraLow
} GBImageSharpenOptions;
